MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000863XdebugFeature/Change requestpublic2012-06-28 22:032015-02-22 14:30
Reporterjmikola 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSUbuntu LinuxOS Version12.04
Product Version2.2.0 
Target VersionFixed in Version2.3.0 
Summary0000863: xdebug.overload_var_dump cannot be altered with ini_set() at runtime
DescriptionControlling var_dump overloading at runtime would be beneficial.
Steps To ReproduceFalse is returned:

var_dump(ini_set('xdebug.overload_var_dump', 0));
TagsNo tags attached.
Operating SystemUbuntu Linux
PHP Version5.4-dev
Attached Files

- Relationships

-  Notes
(0002309)
jmikola (reporter)
2012-06-28 22:19

This is probably a better test, with the same output before and after ini_set():

var_dump(ini_get('xdebug.overload_var_dump'));
var_dump(array('foo'=>'bar'));
var_dump(ini_set('xdebug.overload_var_dump', 0));
var_dump(array('foo'=>'bar'));
var_dump(ini_get('xdebug.overload_var_dump'));

- Issue History
Date Modified Username Field Change
2012-06-28 22:03 jmikola New Issue
2012-06-28 22:19 jmikola Note Added: 0002309
2012-06-28 22:25 derick Target Version => 2.2.1
2012-07-14 23:14 derick Target Version 2.2.1 => 2.2.2
2013-03-23 14:50 derick Target Version 2.2.2 => 2.2.3
2013-05-22 04:51 derick Target Version 2.2.3 => 2.2.x
2013-06-10 10:56 derick Status new => closed
2013-06-10 10:56 derick Assigned To => derick
2013-06-10 10:56 derick Resolution open => fixed
2013-06-10 10:56 derick Fixed in Version => 2.3dev
2015-02-22 14:30 derick Fixed in Version 2.3dev => 2.3.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker